#    This file is part of the FElt finite element analysis package.
#    Copyright (C) 1993 Jason I. Gobat and Darren C. Atkinson
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

CFLAGS	= $(CCOPTS) $(XCFLAGS) -I../../inc

LDFLAGS	= $(LDOPTS) $(XLDFLAGS)

LIBS	= ../../lib/Widgets/libwidgets.a

OBJS	= xfelt.o print.o util.o draw.o draw3d.o globals.o panel.o\
          shells.o text.o error.o text_form.o toggle_form.o

PROG	= xfelt


include ../../Makefile.conf


all:		$(PROG)

clean:;		@rm -f $(OBJS) $(PROG) core

install:	all
		@cp $(PROG) $(BINDIR) && chmod 555 $(BINDIR)/$(PROG) && \
		 strip $(BINDIR)/$(PROG) || true
		@cp XFelt.ad $(XDEFDIR)/XFelt && chmod 444 $(XDEFDIR)/XFelt \
		 || true

$(PROG):	$(OBJS) $(LIBS)
		$(LD) -o $(PROG) $(LDFLAGS) $(OBJS) $(LIBS) $(XLIBS) -lm\
		$(SYSLIBS)
